MandatoryFieldMissing:
 fname_missing: {firstName: '', middleName: 'Malith', lastName: '', contactNumber: '0777-754075', keywords: 'java,mysql,oracle',  dateOfApplication: '2010-06-04', email: 'nofirstName@mymail.com', comment: 'missing first name', vacancy: '', resume: ''}
 lname_missing: { firstName: 'Only FirstName', middleName: 'Malith', lastName: '', contactNumber: '0777-754075', keywords: 'java,mysql,oracle',  dateOfApplication: '2010-06-04', email: 'nofirstName@mymail.com', comment: 'missing last name', vacancy: '', resume: ''}
 email_missing: {firstName: 'No mail', middleName: 'Malith', lastName: 'No mail', contactNumber: '0777-754075', keywords: 'java,mysql,oracle',  dateOfApplication: '2010-06-04', email: '', comment: 'missing email', vacancy: '', resume: ''}
 fname_lname_missing: {firstName: '', middleName: 'Malith', lastName: '', contactNumber: '0777-754075', keywords: 'java,mysql,oracle',  dateOfApplication: '2010-06-04', email: '', comment: 'missing email', vacancy: '', resume: ''}
 fname_lname_email_missing: {firstName: '', middleName: 'Malith', lastName: '', contactNumber: '0777-754075', keywords: 'java,mysql,oracle', dateOfApplication: '2010-06-04', email: '', comment: '', vacancy: '', resume: ''}
 fname_email_missing: {firstName: '', middleName: 'Malith', lastName: 'Viraj', contactNumber: '0777-754075', keywords: 'java,mysql,oracle', dateOfApplication: '2010-06-04', email: '', comment: '', vacancy: '', resume: ''}
 lname_email_missing: {firstName: 'Viraj', middleName: 'Malith', lastName: '', contactNumber: '0777-754075', keywords: 'java,mysql,oracle', dateOfApplication: '2010-06-04', email: '', comment: '', vacancy: '', resume: ''}

InvalidEmail:
 01: {firstName: 'Irshad', middleName: 'Mohomed', lastName: 'Ahamed', contactNumber: '0777-754075', keywords: 'java,mysql,oracle', dateOfApplication: '2010-06-04', email: 'nodomain', comment: 'missing first name', vacancy: '', resume: ''}
 02: {firstName: 'Irshad', middleName: 'Mohomed', lastName: 'Ahamed', contactNumber: '0777-754075', keywords: 'java,mysql,oracle', dateOfApplication: '2010-06-04', email: 'noatdomain.com', comment: 'missing first name', vacancy: '', resume: ''}
 03: {firstName: 'Irshad', middleName: 'Mohomed', lastName: 'Ahamed', contactNumber: '0777-754075', keywords: 'java,mysql,oracle', dateOfApplication: '2010-06-04', email: 'nodot@domaincom', comment: 'missing first name', vacancy: '', resume: ''}

InvalidContactNumber:
 01: {id: 14, firstName: 'Irshad', middleName: 'Mohomed', lastName: 'Ahamed', contactNumber: 'invalid', keywords: 'java,mysql,oracle', status: 2, modeOfApplication: 2, dateOfApplication: '2010-06-04', email: 'mail@domain.com', comment: 'missing first name'}
 02: {id: 15, firstName: 'Irshad', middleName: 'Mohomed', lastName: 'Ahamed', contactNumber: '970@908', keywords: 'java,mysql,oracle', status: 2, modeOfApplication: 2, dateOfApplication: '2010-06-04', email: 'mail@domain.com', comment: 'missing first name'}
 03: {id: 16, firstName: 'Irshad', middleName: 'Mohomed', lastName: 'Ahamed', contactNumber: '8976 0,2', keywords: 'java,mysql,oracle', status: 2, modeOfApplication: 2, dateOfApplication: '2010-06-04', email: 'mail@domain.com', comment: 'missing first name'}

InvalidDate:
 01: {id: 17, firstName: 'Irshad', middleName: 'Mohomed', lastName: 'Ahamed', contactNumber: '123456', keywords: 'java,mysql,oracle', status: 2, modeOfApplication: 2, dateOfApplication: '123456', email: 'mail@domain.com', comment: 'missing first name'}
 02: {id: 18, firstName: 'Irshad', middleName: 'Mohomed', lastName: 'Ahamed', contactNumber: '123456', keywords: 'java,mysql,oracle', status: 2, modeOfApplication: 2, dateOfApplication: '2010-02-30', email: 'mail@domain.com', comment: 'missing first name'}
 02: {id: 18, firstName: 'Irshad', middleName: 'Mohomed', lastName: 'Ahamed', contactNumber: '123456', keywords: 'java,mysql,oracle', status: 2, modeOfApplication: 2, dateOfApplication: '2011-13-16', email: 'mail@domain.com', comment: 'missing first name'}

ValidCandidate:
 only_mandatory_fields: { firstName: 'Iresha', middleName: '', lastName: 'Illapperuma', contactNumber: '', keywords: '', dateOfApplication: '', email: 'mail@domain.com', comment: 'missing first name', vacancy: '', resume: ''}
 all_fields_withDocx: {firstName: 'Fathima', middleName: 'Hasath', lastName: 'Fernando', contactNumber: '+23456789', keywords: 'SQL,JAVA', dateOfApplication: '', email: 'mail@domain.com', comment: 'missing first name', vacancy: 'Technical Assistant - Washington', resume: '/fixtures/data.docx'}
 all_fields_withDoc: {firstName: 'Emma', middleName: 'Hayly', lastName: 'Watson', contactNumber: '+23456789', keywords: 'SQL,JAVA', dateOfApplication: '', email: 'mail@domain.com', comment: 'missing first name', vacancy: 'Technical Assistant - Washington', resume: '/fixtures/data2.doc'}
 all_fields_withOdt: {firstName: 'Amila', middleName: 'Asanka', lastName: 'Amarathunga', contactNumber: '+23456789', keywords: 'SQL,JAVA', dateOfApplication: '', email: 'mail@domain.com', comment: 'missing first name', vacancy: 'Technical Assistant - Washington', resume: '/fixtures/data3.odt'}
 all_fields_withpdf: {firstName: 'Chamila', middleName: 'Madu', lastName: 'Perera', contactNumber: '+23456789', keywords: 'SQL,JAVA', dateOfApplication: '', email: 'mail@domain.com', comment: 'missing first name', vacancy: 'Technical Assistant - Washington', resume: '/fixtures/data4.pdf'}
 all_fields_withtxt: {firstName: 'Chinthani', middleName: 'Madu', lastName: 'Disanayake', contactNumber: '+23456789', keywords: 'SQL,JAVA', dateOfApplication: '', email: 'mail@domain.com', comment: 'missing first name', vacancy: 'Technical Assistant - Washington', resume: '/fixtures/data5.txt'}
 all_fields_withrtf: {firstName: 'Hiroo', middleName: 'Shihany', lastName: 'Rathnayaka', contactNumber: '+23456789', keywords: 'SQL,JAVA', dateOfApplication: '', email: 'mail@domain.com', comment: 'missing first name', vacancy: 'Technical Assistant - Washington', resume: '/fixtures/data6.rtf'}
 no_middlename: {firstName: 'Hiroo', middleName: '', lastName: 'Rathnayaka', contactNumber: '+23456789', keywords: 'SQL,JAVA', dateOfApplication: '2011-07-16', email: 'mail@domain.com', comment: 'missing first name', vacancy: 'Technical Assistant - Washington', resume: '/fixtures/data6.rtf'}
 no_contactNo: {firstName: 'Hiroo', middleName: 'Shihany', lastName: 'Rathnayaka', contactNumber: '', keywords: 'SQL,JAVA', dateOfApplication: '2011-07-16', email: 'mail@domain.com', comment: 'missing first name', vacancy: 'Technical Assistant - Washington', resume: '/fixtures/data6.rtf'}
 no_JobVacancy: {firstName: 'Hiroo', middleName: 'Shihany', lastName: 'Rathnayaka', contactNumber: '+23456789', keywords: 'SQL,JAVA', dateOfApplication: '2011-07-16', email: 'mail@domain.com', comment: 'missing first name', vacancy: '', resume: '/fixtures/data6.rtf'}
 no_resume: {firstName: 'Hiroo', middleName: 'Shihany', lastName: 'Rathnayaka', contactNumber: '+23456789', keywords: 'SQL,JAVA', dateOfApplication: '2011-07-16', email: 'mail@domain.com', comment: 'missing first name', vacancy: 'Technical Assistant - Washington', resume: ''}
 no_keywords: {firstName: 'Hiroo', middleName: 'Shihany', lastName: 'Rathnayaka', contactNumber: '+23456789', keywords: '', dateOfApplication: '2011-07-16', email: 'mail@domain.com', comment: 'missing first name', vacancy: 'Technical Assistant - Washington', resume: '/fixtures/data6.rtf'}
 no_comment: {firstName: 'Hiroo', middleName: 'Shihany', lastName: 'Rathnayaka', contactNumber: '+23456789', keywords: 'SQL,JAVA', dateOfApplication: '2011-07-16', email: 'mail@domain.com', comment: '', vacancy: 'Technical Assistant - Washington', resume: '/fixtures/data6.rtf'}
 no_DateOfApplication: {firstName: 'Hiroo', middleName: 'Shihany', lastName: 'Rathnayaka', contactNumber: '+23456789', keywords: 'SQL,JAVA', dateOfApplication: '', email: 'mail@domain.com', comment: 'missing first name', vacancy: 'Technical Assistant - Washington', resume: '/fixtures/data6.rtf'}
 WithmaxNoOfChars: {firstName: 'OrangeHRM aims to be the world', middleName: 'OrangeHRM aims to be the world', lastName: 'OrangeHRM aims to be the world', contactNumber: '234534534645674574575675678568', keywords: 'The project was started during fall 2005 and the first beta release was made in January 2006. Today OrangeHRM has users worldwide enjoying a free, stable and highly usable HRM solution. The system is backed by professional support and services as well asa', dateOfApplication: '2011-07-18', email: 'OrangeHRMaimstobeth@domain.com', comment: 'The project was started during fall 2005 and the first beta release was made in January 2006. Today OrangeHRM has users worldwide enjoying a free, stable and highly usable HRM solution. The system is backed by professional support and services as well asa', vacancy: 'Technical Assistant - Washington', resume: '/fixtures/data6.rtf'}
 SpecialChars1: { firstName: "\"\\~!@'#$%^&*()_+=-", middleName: "\"\\~!@'#$%^&*()_+=-", lastName: "\"\\~!@'#$%^&*()_+=-", contactNumber: '', keywords: "\"\\~!@'#$%^&*()_+=-", dateOfApplication: '', email: "email@domain.com", comment: "\"\\~!@'#$%^&*()_+=-`{}:;[]<>.,?|/", vacancy: '', resume: ''}
 SpecialChars2: { firstName: "`{}:;[]<>.,?|/", middleName: "`{}:;[]<>.,?|/", lastName: "`{}:;[]<>.,?|/", contactNumber: '', keywords: "`{}:;[]<>.,?|/", dateOfApplication: '', email: "email@domain.com", comment: "\"\\~!@'#$%^&*()_+=-`{}:;[]<>.,?|/", vacancy: '', resume: ''}
 
LengthValidation:
 01: { firstName: 'OrangeHRM aims to be the worlds', middleName: 'OrangeHRM aims to be the worlds', lastName: 'OrangeHRM aims to be the worlds', contactNumber: '2345345346456745745756756785684', keywords: 'The project was started during fall 2005 and the first beta release was made in January 2006. Today OrangeHRM has users worldwide enjoying a free, stable and highly usable HRM solution. The system is backed by professional support and services as well as a', dateOfApplication: '2011-07-18', email: "OrangeHRMaimstobethe@domain.com", comment: 'The project was started during fall 2005 and the first beta release was made in January 2006. Today OrangeHRM has users worldwide enjoying a free, stable and highly usable HRM solution. The system is backed by professional support and services as well as a', vacancy: '', resume: ''}
 
InvalidResume:
 InvalidFileType: {firstName: 'Emma', middleName: 'Hayly', lastName: 'Watson', contactNumber: '+23456789', keywords: 'SQL,JAVA', dateOfApplication: '', email: 'mail@domain.com', comment: 'missing first name', vacancy: 'Technical Assistant - Washington', resume: '/fixtures/invalidfiletype.ods'}
 InvalidFileSize: {firstName: 'Emma', middleName: 'Hayly', lastName: 'Watson', contactNumber: '+23456789', keywords: 'SQL,JAVA', dateOfApplication: '', email: 'mail@domain.com', comment: 'missing first name', vacancy: 'Technical Assistant - Washington', resume: '/fixtures/morethan1mb.pdf'}
